/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from networkstatusiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __NETWORKSTATUSIFACE_STUB__
#define __NETWORKSTATUSIFACE_STUB__

#include <dcopstub.h>
#include <networkstatuscommon.h>
#include <tqstringlist.h>
#include <dcopobject.h>


class NetworkStatusIface_stub : virtual public DCOPStub
{
public:
    NetworkStatusIface_stub( const TQCString& app, const TQCString& id );
    NetworkStatusIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit NetworkStatusIface_stub( const DCOPRef& ref );
    virtual TQStringList networks();
    virtual int status();
    virtual void setNetworkStatus( const TQString& networkName, int status );
    virtual void registerNetwork( NetworkStatus::Properties properties );
    virtual void unregisterNetwork( const TQString& networkName );
protected:
    NetworkStatusIface_stub() : DCOPStub( never_use ) {}
};


#endif
